Kerbal Space Program - Bug #9652

6-DOF keybindings cannot be set.
05/02/2016 02:01 AM - keldor314
Description

From the main menu, go to Settings->Controllers->6-DOF
Clicking on the keybindings button does not bring up the assignment dialogue.

The keybinding works as expected for other categories. | suspect someone missed binding the buttons for this particular screen
when the GUIs were being updated to Unity 5.

The Toggle Camera/Flight Cont button correctly displays the default binding (ScrollLock), which also works properly in game. You
simply cannot change it through the Settings screen. Manually changing the keybinding also works correctly, with the new binding
shown on the button and working correctly in game.

History

#1 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 08:08 PM - keldor314
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

The keybindings for 6-DOF controls cannot be set from the in game settings menu. Hitting the buttons to set them does nothing. Setting them
manually through the config files works as expected, demonstrating that the problem is specific to the in game settings GUI.

#3 - 07/18/2016 03:49 AM - TriggerAu
Thanks for clarifying keldor314
